| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | List of all members
CmdDrive::QMsgBoxButCmdComposer Class Reference
uiCmdDriver

`#include <menubutcommands.h>`

Inheritance diagram for CmdDrive::QMsgBoxButCmdComposer:
[legend]

## Classes
class | uiMainWinClassifier

## Public Member Functions
| QMsgBoxButCmdComposer (CmdRecorder &cmdrec)
bool | accept (const CmdRecEvent &) override
const char * | name () override
Public Member Functions inherited from CmdDrive::CmdComposer
| CmdComposer (CmdRecorder &)
| ~CmdComposer ()
bool | done () const
virtual bool | greedy () const
void | objClosed (CallBacker *)
bool | stateUpdateNeeded ()
void | testCB (CallBacker *)
bool | traceSrcWin (CmdRecEvent &) const
virtual bool | tryToFinish ()
virtual void | updateInternalState ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static CmdComposer * | createInstance (CmdRecorder &cmdrec)
static void | initClass ()
static const char * | keyWord ()
Static Public Member Functions inherited from CmdDrive::CmdComposer
static BufferString | factoryKey (const CallBacker *caller, const char *extrakey=0)
static void | initStandardComposers ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Additional Inherited Members
Protected Member Functions inherited from CmdDrive::CmdComposer
void | addToEventList (const CmdRecEvent &)
const uiMainWin * | applWin () const
int | eventNameIdx (const BufferStringSet &eventnames, const CmdRecEvent &) const
virtual void | init ()
void | insertWindowCaseExec (const CmdRecEvent &, bool casedep=false) const
void | notDone ()
void | refuseAndQuitDone ()
void | shrinkEventList (int firstnr=1, int lastnr=-1)
void | srcWinClosed (CallBacker *)
Static Protected Member Functions inherited from CmdDrive::CmdComposer
static BufferString | createFactoryKey (const Classifier *, const char *keyword)
Protected Attributes inherited from CmdDrive::CmdComposer
BufferStringSet | bursteventnames_
ObjectSet< CmdRecEvent > | eventlist_
bool | ignoreflag_
bool | objclosed_
bool | quitflag_
CmdRecorder & | rec_
TypeSet< int > | refnrstack_
bool | stackwasempty_
bool | updateflag_
BufferStringSet | voideventnames_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ QMsgBoxButCmdComposer()

CmdDrive::QMsgBoxButCmdComposer::QMsgBoxButCmdComposer | ( | CmdRecorder & | cmdrec | ) |
| inline

## Member Function Documentation

## ◆ accept()

bool CmdDrive::QMsgBoxButCmdComposer::accept | ( | const CmdRecEvent & |  | ) |
| override virtual

Reimplemented from CmdDrive::CmdComposer.

## ◆ createInstance()

static CmdComposer * CmdDrive::QMsgBoxButCmdComposer::createInstance | ( | CmdRecorder & | cmdrec | ) |
| inline static

## ◆ initClass()

static void CmdDrive::QMsgBoxButCmdComposer::initClass | ( |  | ) |
| inline static

## ◆ keyWord()

static const char * CmdDrive::QMsgBoxButCmdComposer::keyWord | ( |  | ) |
| inline static

## ◆ name()

const char * CmdDrive::QMsgBoxButCmdComposer::name | ( |  | ) |
| inline override virtual

Implements CmdDrive::CmdComposer.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025